%undefine _debugsource_packages

Name:           cloog
%global         tarball_name %{name}
Version:        0.18.4
Release:    1%{?dist}
Summary:        The Chunky Loop Generator

License:        GPLv2+
URL:            http://www.cloog.org


Source0:        cloog-%{version}.tar.gz

BuildRequires:  isl-devel >= 0.15
BuildRequires:  gmp-devel >= 6.0.0
BuildRequires:  texinfo >= 4.12
BuildRequires:  texinfo-tex >= 4.12
BuildRequires:  libtool
BuildRequires:  make

%description
CLooG is a software which generates loops for scanning Z-polyhedra. That is,
CLooG finds the code or pseudo-code where each integral point of one or more
parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
designed to avoid control overhead and to produce a very efficient code.

%package devel
Summary:        Development tools for the Chunky Loop Generator
Requires:       %{name} = %{version}-%{release}
Requires:       isl-devel >= 0.15, gmp-devel >= 6.0.0

%description devel
The header files and dynamic shared libraries of the Chunky Loop Generator.

%prep
%setup -q -n %{tarball_name}-%{version}

%build
./autogen.sh
%configure \
    --with-isl=system \
    --with-isl-prefix=%{_prefix}

test -f doc/cloog.info && rm doc/cloog.info

CLOOG_CFLAGS="-fPIE"

make %{?_smp_mflags} AM_CFLAGS=${CLOOG_CFLAGS} LIBTOOL=%{_bindir}/libtool
make %{?_smp_mflags} AM_CFLAGS=${CLOOG_CFLAGS} LIBTOOL=%{_bindir}/libtool -C doc cloog.pdf

%install
%make_install INSTALL="%{__install} -p"
rm %{buildroot}%{_libdir}/*/*.cmake
mkdir -p %{buildroot}%{_docdir}/cloog-%{version}
%{__install} -m0644 -p README LICENSE ChangeLog doc/cloog.pdf %{buildroot}%{_docdir}/cloog-%{version}

%files
%{_docdir}/cloog-%{version}/README
%license %{_docdir}/cloog-%{version}/LICENSE
%{_docdir}/cloog-%{version}/ChangeLog
%{_bindir}/cloog
%{_libdir}/libcloog-isl.so.*

%files devel
%{_includedir}/cloog
%{_libdir}/libcloog-isl.so
%{_libdir}/pkgconfig/cloog-isl.pc
%exclude %{_libdir}/libcloog-isl.a
%{_docdir}/cloog-%{version}/cloog.pdf

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.4-1
- initial build
